export default {
    install(Vue,options={}){
        let time = options.time || 1000;
        Vue.directive('throtle-click',{
            bind(el){
                el.setAttribute('data-flag','true');//设置标志
            },
            inserted(el,bind){
                el.addEventListener('click',()=>{
                    if(event.isTrusted){
                        bind.def.debounce(el,bind,bind.value);
                    }
                },false)
            },
            debounce(el,bind,method) {
                clearTimeout(method.tId);
                if(el.dataset.flag==='true'){//第一次点击
                    el.dataset.flag = 'false';
                    bind.def.debounce(el,bind,method);//跳到第二次之后的点击
                    // method.tId = setTimeout(()=>{el.dataset.flag = 'true';}, time/5);//第一次点击不再点击后,恢复flag状态值
                }else{ //执行最后一次点击的任务
                    method.tId = setTimeout(()=>{
                        method.call();
                        el.dataset.flag = 'true';
                    }, time/2);
                }
            },
        })
    }
}