const path = require('path');
const webpack = require('webpack');
module.exports = {
    entry: './index.js',
    output: {
        path: path.resolve(__dirname, './dist'),
        publicPath: '/dist/',
        filename: 'vue-throttle-click.min.js',
        library: `vThrottleClick`,
        // libraryTarget: "umd"
    },
    module: {
        rules: [
            {
                test: /\.js$/,
                loader: 'babel-loader',
                exclude: /node_modules/
            },
        ]
    },
    plugins: [
        new webpack.optimize.UglifyJsPlugin()//代码压缩
    ],
    devtool: 'source-map',
};